# ACE_Cleanup_Info Class Reference

Hold cleanup information for thread/process. More...

`#include <Cleanup.h>`

List of all members.

## Public Member Functions

| ACE_Cleanup_Info (void)
| Default constructor.
bool | operator== (const ACE_Cleanup_Info &o) const
| Equality operator.
bool | operator!= (const ACE_Cleanup_Info &o) const
| Inequality operator.

## Public Attributes

void * | object_
| Point to object that gets passed into the <cleanup_hook_>.
ACE_CLEANUP_FUNC | cleanup_hook_
| Cleanup hook that gets called back.
void * | param_
| Parameter passed to the <cleanup_hook_>.

## Detailed Description

Hold cleanup information for thread/process.

## Constructor & Destructor Documentation

ACE_Cleanup_Info::ACE_Cleanup_Info | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

bool ACE_Cleanup_Info::operator!= | ( | const ACE_Cleanup_Info & | o | ) | const

| Inequality operator.

bool ACE_Cleanup_Info::operator== | ( | const ACE_Cleanup_Info & | o | ) | const

| Equality operator.

## Member Data Documentation

ACE_CLEANUP_FUNC ACE_Cleanup_Info::cleanup_hook_

| Cleanup hook that gets called back.

void* ACE_Cleanup_Info::object_

| Point to object that gets passed into the <cleanup_hook_>.

void* ACE_Cleanup_Info::param_

| Parameter passed to the <cleanup_hook_>.

The documentation for this class was generated from the following files:

- Cleanup.h
- Cleanup.cpp